Loading...
Searching...
No Matches
Opm::BlackOilDefaultFluidSystemIndices Class Reference

The class which specifies the default phase and component indices for the black-oil fluid system. More...

`#include <BlackOilDefaultFluidSystemIndices.hpp>`

## Static Public Member Functions

static constexpr int | componentToPhaseIdx (int compIdx)
| Map component index to phase index.
static constexpr int | phaseToComponentIdx (int phaseIdx)
| Map phase index to component index.

## Static Public Attributes

static constexpr unsigned | numPhases = 3
| Total number of phases.
static constexpr unsigned | waterPhaseIdx = 0
| Index of the water phase.
static constexpr unsigned | oilPhaseIdx = 1
| Index of the oil phase.
static constexpr unsigned | gasPhaseIdx = 2
| Index of the gas phase.
static constexpr unsigned | numComponents = 3
| Total number of components.
static constexpr int | oilCompIdx = 0
| Index of the oil component.
static constexpr int | waterCompIdx = 1
| Index of the water component.
static constexpr int | gasCompIdx = 2
| Index of the gas component.

## Detailed Description

The class which specifies the default phase and component indices for the black-oil fluid system.

The documentation for this class was generated from the following file:

- opm/material/fluidsystems/BlackOilDefaultFluidSystemIndices.hpp